cURL
curl --request GET \ --url https://api.gcore.com/cloud/v1/lifecycle_policy/{project_id}/{region_id} \ --header 'Authorization: <api-key>'
{ "count": 1, "results": [ { "action": "volume_snapshot", "id": 1, "name": "schedule_1", "project_id": 1, "region_id": 1, "schedules": [ { "day_of_week": "*", "hour": "0, 10, 20", "id": "1488e2ce-f906-47fb-ba32-c25a3f63df4f", "max_quantity": 2, "minute": "30", "owner": "lifecycle_policy", "owner_id": 1, "resource_name_template": "reserve snap of the volume {volume_id}", "type": "cron", "user_id": 12 } ], "status": "active", "user_id": 11, "volumes": [ { "volume_id": "3ed9e2ce-f906-47fb-ba32-c25a3f63df4f", "volume_name": "test schedule" } ] } ] }
List all snapshot policies in the specified project and region.
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef
apikey
apikey 1234$abcdef
Project ID
1
Region ID
OK
Number of objects
x >= 0
Objects
Show child attributes